Export screen should only include installed formats/codecs

Bug #508123 reported by jinha on 2010-01-15
226
This bug affects 48 people
Affects Status Importance Assigned to Milestone
OpenShot Video Editor
Critical
Andy Finch

Bug Description

I am trying to export video with below options, and openshot crashes with error messages.

============ Error message =============
consumer_avformat.c: audio codec libmp3lame unrecognised - ignoring
consumer_avformat.c: video codec libxvid unrecognised - ignoring
consumer_avformat.c: Unable to encode audio - disabling audio output.
[mp4 @ 0xb36ddc0]track 1: codec frame size is not set
Floating point exception
=======================================

============== Export options ================
Project type: HDV 720 30p

Video format: mp4
Video codec: libxvid
Bit rate: 15.00 Mb/s - HDTV quality

Audio codec: libmp3lame
Sample rate: 48000
# of channles: 2
Bit rate: 256 kb/s - Near CD quality
=============================================

jinha (hamdori) wrote :
jinha (hamdori) wrote :

I forgot to mention that I am using Ubuntu 9.10, and installed from the repository.

Justin Forest (umonkey) wrote :

Same here. Exporting to MOV/H.264 works fine, so this must be a problem with the MP4 container only. I think I remember the ffmpeg documentation saying that the MP4 code is unstable.

Olivier Girard (eolinwen) wrote :

Interresting. I was thinking that was libx264 and libfaac which were unstables and not the container only.

jinha (hamdori) wrote :

I tried same video and audio codec combination with avi container, and got the same error message.

Adam Pond (adpond) wrote :

I've had trouble (crash with no UI error message) exporting with several formats and was about to completely give up on OneShot as the first 3 formats I tried all happened to be the ones that failed.

Fortunately, I found that avi(h.264) actually works.

These are the formats that I tried that crash and their output from the command line.

Mov(mpeg4)
-------------------------------------------------------------------------------------------
consumer_avformat.c: audio codec libmp3lame unrecognised - ignoring
consumer_avformat.c: Unable to encode audio - disabling audio output.
[mov @ 0x1955600]track 1: codec frame size is not set
Floating point exception

MP4(xvid)
-------------------------------------------------------------------------------------------
consumer_avformat.c: audio codec libfaac unrecognised - ignoring
consumer_avformat.c: video codec libxvid unrecognised - ignoring
consumer_avformat.c: Unable to encode audio - disabling audio output.
[mp4 @ 0x1ab6320]track 1: codec frame size is not set
Floating point exception

MP4(mpeg4)
-------------------------------------------------------------------------------------------
consumer_avformat.c: audio codec libmp3lame unrecognised - ignoring
consumer_avformat.c: Unable to encode audio - disabling audio output.
[mp4 @ 0x38275a0]track 1: codec frame size is not set
Floating point exception

Jonathan Thomas (jonoomph) wrote :

We need to only show formats that are installed on the users system, which will prevent these errors. Also, it might be nice to add a warning message to the Export screen, such as "Not all formats/codecs are installed... Click here for more info".

Andy has created an example script to parse the installed formats/codecs. I will go ahead and attach the example script to this bug report.

Changed in openshot:
importance: Undecided → Critical
milestone: none → 1.1.0
Jonathan Thomas (jonoomph) wrote :
summary: - Program crash when exporting video
+ Export screen should only include installed formats/codecs
markba (mark-baaijens) wrote :

As an alternative, you should consider to show all the codecs (just as it is now). Then, if the user chooses an unsupported codec, then show a message.

The advantage of this method is that the user can see, his codec *is* supported, just that he has to do something extra (indicated by the message). Hiding options is almost never a good thing from a usability perspective.

Olivier Girard (eolinwen) wrote :

And we can mixed both together ia have a window show you (in the preferences by exemple) all the codecs installed and not installed. And you can have a warning when the user want to encode in a format/codec which is not installed on his system.
i can not launch the file of Andy :
olivier@triton:~/Téléchargements$ chmod +x find_codecs.py
olivier@triton:~/Téléchargements$ ./find_codecs.py
./find_codecs.py: line 4: Erreur de syntaxe près du symbole inattendu « ( »
./find_codecs.py: line 4: `def main():'
A idea perhaps ?

Jamin W. Collins (jcollins) wrote :

There are a few problems with the script that was attached. First, there appear to be sporadic indentations ("python -d" will show this). Second, the file does not start with a #! indicator for the interpretor to use to run the script. Attached is the corrected version that does appear to run. Note the script depends on melt being installed as it actually executes melt to do the dirty work.

Where do you must put it ? Thanks

2010/1/20 Jamin W. Collins <email address hidden>

> There are a few problems with the script that was attached. First,
> there appear to be sporadic indentations ("python -d" will show this).
> Second, the file does not start with a #! indicator for the interpretor
> to use to run the script. Attached is the corrected version that does
> appear to run. Note the script depends on melt being installed as it
> actually executes melt to do the dirty work.
>
> ** Attachment added: "indentations corrected and #! added"
> http://launchpadlibrarian.net/38145364/find_codecs.py
>
> --
> Export screen should only include installed formats/codecs
> https://bugs.launchpad.net/bugs/508123
> You received this bug notification because you are a member of OpenShot
> Developers, which is subscribed to OpenShot Video Editor.
>
> Status in OpenShot Video Editor: New
>
> Bug description:
> I am trying to export video with below options, and openshot crashes with
> error messages.
>
> ============ Error message =============
> consumer_avformat.c: audio codec libmp3lame unrecognised - ignoring
> consumer_avformat.c: video codec libxvid unrecognised - ignoring
> consumer_avformat.c: Unable to encode audio - disabling audio output.
> [mp4 @ 0xb36ddc0]track 1: codec frame size is not set
> Floating point exception
> =======================================
>
> ============== Export options ================
> Project type: HDV 720 30p
>
> Video format: mp4
> Video codec: libxvid
> Bit rate: 15.00 Mb/s - HDTV quality
>
> Audio codec: libmp3lame
> Sample rate: 48000
> # of channles: 2
> Bit rate: 256 kb/s - Near CD quality
> =============================================
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~openshot.developers<https://launchpad.net/%7Eopenshot.developers>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~openshot.developers<https://launchpad.net/%7Eopenshot.developers>
> More help : https://help.launchpad.net/ListHelp
>

--
Cenwen un elfe sur la banquise/ an elve on the ice
Mon blog perso sur le multimédia, Ubuntu, Linux et OpenShot :
http://linuxevolution.wordpress.com/
http://openshotusers.com/
http://openshotusers.com/forum/index.php

Jamin W. Collins (jcollins) wrote :

As far as I know it's only a proof of concept script to show what codecs are installed on a given system. I believe more work would need to be done to move from the concept to something that actually works within openshot.

Andy Finch (fincha) on 2010-01-25
Changed in openshot:
assignee: nobody → Andy Finch (fincha)
status: New → Confirmed
Andy Finch (fincha) on 2010-01-26
Changed in openshot:
status: Confirmed → In Progress
Jonathan Thomas (jonoomph) wrote :

Andy's branch has been merged into the trunk. I've also made a few changes to the export screen to prevent users from entering invalid codecs / formats. Very nice! By the way, this adds a new dependency to OpenShot, the "melt" command line utility that comes with the MLT framework (sudo apt-get install melt). Thanks.

Changed in openshot:
status: In Progress → Fix Committed
Joop Mevissen (jm) wrote :

I am getting an error message about missing codecs (libx264 and libmp3lame) but if I look in Synaptic they are installed (see screenshots). Am I missing something?

OpenShot (version 1.1.0.alpha2) on Ubuntu 9.10

Joop Mevissen (jm) wrote :
Joop Mevissen (jm) wrote :
Olivier Girard (eolinwen) wrote :

Inded. Just a question. Have you the Medibuntu repository ?
Have you check your dependencies like here :http://openshotusers.com/forum/viewtopic.php?f=12&t=33&start=0
With the evolution of the project, Some dependencies have changing (removing, adding).
You use the 1.1.0. alpha2, well but i don't know if the patch about the x264 problem is inside or not because he resolves this sort of problem.
In the window preferencies you should look the work of Andy who have done a entry about the formats/codecs installed reconnize by Openshot in your systeme. Are they inside (in the list) ?
If no, try to install the patch following :
update the file
bzr pull
cd openshot
Download the patch by:
wget http://launchpadlibrarian.net/39067639/render_options_for_x264.patch (or by another way)
add the patch by :
patch -p 0 < render_options_for_x264.patch
after
python setup.py build
cd bin
./openshot
Thanks

Joop Mevissen (jm) wrote :

I don´t have Medibuntu repository, but I do have the ubuntu-restricted-extras from the multiverse repository. Is Medibuntu necessary? I also checked the dependencies and ffmpeg was missing, so I installed that, but that didn´t help. Also, I applied the patch, but again, no luck.
The codecs do not show up in the AV Formats window under preferences (see screenshot), but as far as I know they are installed.

Thanks for your help!

Olivier Girard (eolinwen) wrote :

If you want to do of AVCHD you must use the Medibuntu because he have a special version of x264 and 3GP too. It 's for legal reasons. In the section of what is installed (the Andy's section), it show not all the Formats/codecs installed on the computer but there are using by MLT/ FFmpeg and thus Openshot too. I hope to have been clear. The thrid part in the preferences is a generator of profiles, you clic on and that's all a new window appear. Very usefull and that's another great work of Andy.
But a picture is sometimes better than some bad explanations, look at the picture.

Joop Mevissen (jm) wrote :

Thanks cenwen, that was the solution. I installed libavcodec-extra-52 from the Medibuntu repository and now it works!

On a side-note: that are interesting options in the screen-shot, especially acquisition DV/HDV, is that real or only a mock-up?

Olivier Girard (eolinwen) wrote :

I have add Jonathan and tomorrow the second alpha will arrive with the patch for X264 integrated in. So you could test tomorrow the exportation in x264 but what i have said you about the formats/codecs and the Medibuntu repository is always true.

Jonathan Thomas (jonoomph) wrote :

Just a note about codecs: There are 2 packages that contain codecs
used by MLT (and thus OpenShot). libavcodec and libavcodec-extra (or
unstripped). The medibuntu repository has a special version of
libavcodec-extra which includes aac encoding. However, I have removed
aac encoding from OpenShot due to legal issues, and that should remove
the need to install the medibuntu repository. So... if you install
the standard "libavcodec-extra" library included with Ubuntu, all
export options should now work in OpenShot (assuming your are using
version 1.1). If you are still using version 1.0, then you will need
the medibuntu repository.

Hope this makes sense. =)

Thanks,
-Jonathan

On Sat, Feb 20, 2010 at 2:10 PM, cenwen <email address hidden> wrote:
> I have add Jonathan and tomorrow the second alpha will arrive with the
> patch for X264 integrated in. So you could test tomorrow the exportation
> in x264 but what i have said you about the formats/codecs and the
> Medibuntu repository is always true.
>
> --
> Export screen should only include installed formats/codecs
> https://bugs.launchpad.net/bugs/508123
> You received this bug notification because you are a member of OpenShot
> Developers, which is subscribed to OpenShot Video Editor.
>
> Status in OpenShot Video Editor: Fix Committed
>
> Bug description:
> I am trying to export video with below options, and openshot crashes with error messages.
>
> ============ Error message =============
> consumer_avformat.c: audio codec libmp3lame unrecognised - ignoring
> consumer_avformat.c: video codec libxvid unrecognised - ignoring
> consumer_avformat.c: Unable to encode audio - disabling audio output.
> [mp4 @ 0xb36ddc0]track 1: codec frame size is not set
> Floating point exception
> =======================================
>
> ============== Export options ================
> Project type: HDV 720 30p
>
> Video format: mp4
> Video codec: libxvid
> Bit rate: 15.00 Mb/s - HDTV quality
>
> Audio codec: libmp3lame
> Sample rate: 48000
> # of channles: 2
> Bit rate: 256 kb/s - Near CD quality
> =============================================
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~openshot.developers
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~openshot.developers
> More help   : https://help.launchpad.net/ListHelp
>

Olivier Girard (eolinwen) wrote :

@Joop
On a side-note: that are interesting options in the screen-shot, especially acquisition DV/HDV, is that real or only a mock-up?

For the moment it is rather a Mock-up that something useful.It will depend of my progress and the difficulties that will have. I have just began by the webcam; it seems to be the same way but more easy. That's all.

Olivier Girard (eolinwen) wrote :

I have forgotten to precise that 's experimental. Thanks.

moimael (moimael) on 2010-03-14
Changed in openshot:
status: Fix Committed → Fix Released
reindeer (reindeer) wrote :

Is this fixed in OpenShot 1.1.3?

When exporting an empty project to "ogg" with "libtheora", my openshot crashes with:

 --------------------------------
   OpenShot (version 1.1.3)
--------------------------------
Process no longer exists: 3738. Creating new pid lock file.
A new frmMain has been created
state saved
on_mnuMakeMovie1_activate called with self.mnuMakeMovie
on_tlbMakeMovie_clicked called with self.mnuMakeMovie
on_cboProjectType_changed
on_cboExportTo_changed
on_cboProjectType_changed
on_btnExportVideo_clicked
on_cboProjectType_changed
on_btnExportVideo_clicked
[ogg @ 0x26c5df0]Unsupported codec id in stream 1
Floating point exception

Yes it is - Bug 508123 is fixed with 1.1.3

Am 19.09.2010 07:50, schrieb reindeer:
> Is this fixed in OpenShot 1.1.3?
>
> When exporting an empty project to "ogg" with "libtheora", my openshot
> crashes with:
>
> --------------------------------
> OpenShot (version 1.1.3)
> --------------------------------
> Process no longer exists: 3738. Creating new pid lock file.
> A new frmMain has been created
> state saved
> on_mnuMakeMovie1_activate called with self.mnuMakeMovie
> on_tlbMakeMovie_clicked called with self.mnuMakeMovie
> on_cboProjectType_changed
> on_cboExportTo_changed
> on_cboProjectType_changed
> on_btnExportVideo_clicked
> on_cboProjectType_changed
> on_btnExportVideo_clicked
> [ogg @ 0x26c5df0]Unsupported codec id in stream 1
> Floating point exception
>
>

cheazz (cheese-asp) wrote :

Yes that is fixed in 1.1.3

Am 19.09.2010 07:50, schrieb reindeer:
> Is this fixed in OpenShot 1.1.3?
>
> When exporting an empty project to "ogg" with "libtheora", my openshot
> crashes with:
>
> --------------------------------
> OpenShot (version 1.1.3)
> --------------------------------
> Process no longer exists: 3738. Creating new pid lock file.
> A new frmMain has been created
> state saved
> on_mnuMakeMovie1_activate called with self.mnuMakeMovie
> on_tlbMakeMovie_clicked called with self.mnuMakeMovie
> on_cboProjectType_changed
> on_cboExportTo_changed
> on_cboProjectType_changed
> on_btnExportVideo_clicked
> on_cboProjectType_changed
> on_btnExportVideo_clicked
> [ogg @ 0x26c5df0]Unsupported codec id in stream 1
> Floating point exception
>
>

Joop Mevissen (jm) wrote :

@ reindeer: just to clarify, your problem is not missing codecs (what this bugreport is about) but rather an invalid combination of codecs / formats. When using the 'Advanced' tab in the export screen you have to be carefull not to use combinations that are not allowed. I don't know what settings you have tried, but you could try lower quality (5Mb/s) and flac as an audiocodec. Maybe that helps.

To post a comment you must log in.